Name:           anjal
Version:        0.1
Release:        12.1.moblin2
License:        LGPLv2+
Source:         anjal-%{version}.tar.gz
URL:            http://live.gnome.org/Anjal
Group:          Applications/Productivity
Summary:        Anjal - aka Evolution-lite
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Epoch:          2

# Moblin specific patches, not intended for upstream inclusion
Patch1:         anjal.desktop-name-email.patch
Patch4:         moblin0004-moblin-specific-warning-fix.patch

# Patchs waiting for upstream inclusion
Patch21:        0001-MB6108-dont-close-on-sending-error.patch
Patch22:        0002-anjal-BUGFIX-GNOME-Bug-592294-Use-pkgconfig-for-EVOLUTION.patch
Patch23:        0003-bug-6107-composer-Send-button-does-not-work-after-Saved-draft.patch

BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  evolution-data-server-dbus-devel
BuildRequires:  evolution-anjal-devel >= 2.28.0
BuildRequires:  WebKit-gtk-devel
BuildRequires:  unique-devel
BuildRequires:  anerley-devel >= 0.0.10
BuildRequires:  clutter >= 1.0.0
BuildRequires:  clutter-gtk-devel >= 0.10.0
BuildRequires:  pkgconfig(nbtk-1.2)

Requires: evolution-data-server-dbus
Requires: evolution-anjal >= 2.27.91
Requires: WebKit-gtk
Requires: clutter >= 1.0.0
Requires: clutter-gtk >= 0.10.0
Requires: nbtk >= 1.1.4
Requires: anerley

%description
Anjal is an email client. It is the Evolution front-end for netbooks.

%prep
%setup -q
%patch1 -p1
%patch4 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

%build
%configure --with-patched-webkit=yes --with-anerley
make

%install
make DESTDIR=%buildroot install
mkdir -p %{buildroot}/etc/ld.so.conf.d/  
cat <<EOF >%{buildroot}/etc/ld.so.conf.d/%{name}.conf  
%{_libdir}/evolution/2.28/components/ 
EOF

%find_lang %{name} --all-name --with-gnome

# doc file not needed now
rm -rf %buildroot/doc/anjal

%clean
rm -rf %buildroot

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LGPL2 COPYING.LGPL3 MAINTAINERS README
%{_bindir}/anjal
%{_datadir}/anjal
%{_datadir}/applications/anjal.desktop
%{_datadir}/gnome-control-center/default-apps/anjal.xml
%config(noreplace) /etc/ld.so.conf.d/anjal.conf
# GConf schemas:
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%changelog
* Wed Oct 28 2009 Yan Li <yan.i.li@intel.com> - 0.1
- Fixed defect: In Anjal, message cannot be sent after saving to
  Drafts (MB#6107)
* Fri Oct 16 2009 Yan Li <yan.i.li@intel.com> - 0.1
- Fixed defect: People button is missing (MB#6851)
- Upstream tarball updated, dropped patches already in upstream:
  0003-Fix-desktop-file-installation-error-in-Makefile.patch
* Mon Oct 12 2009 Yan Li <yan.i.li@intel.com> - 0.1
- Updated to latest upstream stable release, dropped patches already
  in upstream, anjal.desktop-name-email.patch updated
- New patches:
  0002-anjal-BUGFIX-GNOME-Bug-592294-Use-pkgconfig-for-EVOLUTION.patch,
  0003-Fix-desktop-file-installation-error-in-Makefile.patch
* Fri Oct  9 2009 Yan Li <yan.i.li@intel.com> - 0.0.1_git20091009
- Updated to latest git tip, dropped patches already in upstream
- New installed file:
  /usr/share/gnome-control-center/default-apps/anjal.xml
- Fixed defect: In Anjal, although invalid mail address warning popup,
  mail's tab closed automatically (MB#6108)
* Sun Sep 27 2009 Anas Nashif <anas.nashif@intel.com> - 0.0.1_git20090911
- Fixed license
* Sat Sep 26 2009 Anas Nashif <anas.nashif@intel.com> - 0.0.1_git20090911
- Fixed requirement on nbtk
* Fri Sep 18 2009 Damien Lespiau <damien.lespiau@intel.com> - 0.0.1_git20090911
- Add a patch to depend on nbtk-1.2
* Fri Sep 11 2009 Yan Li <yan.i.li@intel.com> - 0.0.1_git20090911
- Fixed defect: Fix for an infinite loop (GNOME Bug #592894)
- Fixed defect: Anjal crash: mu_get_contact() returns invalid pointer
  when contact not found (#5746, GNOME Bug #593634)
- Translation updated: Spanish, German, Italian, Japanese
- Sync packages between Trunk and Moblin:2.1
* Wed Sep  9 2009 Yan Li <yan.i.li@intel.com> - 0.0.1_git20090828
- Build against WebKit 1.1.0 of Moblin 2.1
* Fri Aug 28 2009 Yan Li <yan.i.li@intel.com> - 0.0.1_git20090828
- Updated to latest git tip, dropped patches already in upstream
- Fixed defect: Need new option for POP servers: keep the mails on the
  server (#5655)
- Fixed defect: Remove sub folders in inbox and send/receive, Anjal
  crash (#5326)
- Fixed defect: Closing a message tab, Anjal crash (possibility: 50%%)
  (#4706, GNOME Bug #589565)
* Wed Aug 19 2009 Yan Li <yan.i.li@intel.com> - 0.0.1_git20090819
- Updated to latest git tip, dropped patches already in upstream
- anjal.schemas is included
- Fixed defect: emts_insert_info_incr() dead loop due to empty entries
  in hash table (#4809)
- Fixed defect: Right menu of Templates tab is empty (#4908)
- Fixed defect: Sometimes the Anjal main window is not max (#4658)
- Fixed defect: Deleting mail is too slow (#5334)
* Mon Aug 17 2009 Anas Nashif <anas.nashif@intel.com> - 0.0.1_20090730
- Use _ instead of ~ in the version
* Mon Aug 10 2009 Yan Li <yan.i.li@intel.com> 0.0.1~20090730
- Fixed defect: memory leak found in emts_folder_changed_idle
- Fixed defect: Delete mail and move on to next undeleted mail (GNOME
  Bug #590109), integrated a better patch than the previous one
- Fixed defect: compilation error when compiling without Anerley
- Fixed defect: build failed with WebKit-gtk 1.1.12
- Added Dutch translation
* Mon Aug  3 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0.1~20090730
- Add a patch to compile against clutter-1.0 and clutter-gtk-0.10
* Thu Jul 30 2009 Yan Li <yan.i.li@intel.com> 0.0.1~20090730
- Updated to latest git tip, dropped patches already in upstream
- Fixed defect: Don't depend on evolution-plugin (#4811)
- Fixed defect: New Swedish (sv) and Brazil Portuguese (pt_BR)
  translations (#4356)
- Fixed defect: Using Ctrl-W to close tab, fixed wrong backspace key
  handling (#4727)
- Fixed defect: Check Mail button is disabled when Settings tab is
  active (#4809)
- Fixed defect: Can't send mail by clicking a mail addr (#4807)
- Fixed defect: No warning when closing a composer tab (#4849)
- Fixed defect: Delete mail and move on to next undeleted mail (GNOME
  Bug #590109)
* Mon Jul 27 2009 Yan Li <yan.i.li@intel.com> 0.0.1
- Include French and Spanish translation
- Defect fixed: Remove dead files from POTFILES.in
* Fri Jul 24 2009 Yan Li <yan.i.li@intel.com> 0.0.1
- Updated to latest release: 0.0.1
- Fixed defect: Mails that can't be sent out stuck in Outbox, no error
  message (#4442)
- Fixed defect: Junk tab's name is ".#evolution/Junk" (#4657)
- Fixed defect: No auto-completion of email address when composing a
  new mail (#4152)
- Fixed defect: Passwords can not be saved (#4712)
* Thu Jul 23 2009 Yan Li <yan.i.li@intel.com> 0.0~20090723
- Updated to latest git tip
- Include locale files in package
- Fixed defect: No error message on send/receive error (#3737)
- Fixed defect: 1px white border around the window (GNOME Bug #589379)
- Fixed defect: Hitting 'show from' in a new message makes the
  dialogue too wide (GNOME Bug #589356)
- Fixed defect: Only one settings tab at a time (GNOME Bug #589354)
- Fixed defect: Tab close button appears oddly off centre (GNOME Bug
  [#589292])
- Fixed defect: Check all folders for new mail and automatically
  download all mail when send/recieving (GNOME Bug #589291)
- Fixed defect: Hide send/recieve dialogue (GNOME Bug #589289)
- Fixed defect: Remove 1px keyline around the toolbar (GNOME Bug
  [#589287])
- Fixed defect: Conversation tab should be subject rather than
  'Message' (GNOME Bug #589286)
- Fixed defect: Static size for people button (GNOME Bug #589285)
* Tue Jul 21 2009 Yan Li <yan.i.li@intel.com> 0.0~20090721
- Updated to latest git tip
* Mon Jul 20 2009 Yan Li <yan.i.li@intel.com> 0.0~20090720
- Updated to latest git tip
- Fixed defect: "Account Wizard" doesn't display the
  "Receiving/Sending" steps (#4506)
- Fixed defect: Close a mail message when formatting message is in
  progress, Anjal crash (#4032)
* Sat Jul 18 2009 Yan Li <yan.i.li@intel.com> 0.0~20090718
- Updated to latest git tip
- Fixed defect: In Anjal, no function on "people" button (#3567)
* Fri Jul 17 2009 Yan Li <yan.i.li@intel.com> 0.0~20090717
- Updated to latest git tip
- Use Anerley as people widget
- Fixed defect: Run "anjal mailto:aaaa@bbbb.com" and get a window too
  wide (#4505)
- Fixed defect: Invalid anjal.desktop: key "Encoding" in group
  "Desktop Entry" is deprecated (#3986)
* Wed Jul 15 2009 Yan Li <yan.i.li@intel.com> 0.0~20090715
- Updated to latest git tip
- Fixed defect: Mail titles in Inbox disappear when press "Send an
  email" button in people panel (#4213)
* Tue Jul 14 2009 Yan Li <yan.i.li@intel.com> 0.0~20090714
- Updated to latest git tip
- Fixed Switch to an invalid mail account then press Send/Receive
  button, Anjal crash (#4065)
* Thu Jul  2 2009 Yan Li <yan.i.li@intel.com> 0.0~20090701
- Updated to latest git tip (fixed Moblin Bug #3866)
- SPEC file clean up, fixed RPMLINT warnings
* Fri Jun 26 2009 Yan Li <yan.i.li@intel.com> 0.0~20090625
- New patch from Srini that fixed Moblin bug #3562
* Fri Jun 26 2009 Yan Li <yan.i.li@intel.com> 0.0~20090625
- Add build time dep: unique-devel according to Srini's suggestion
* Thu Jun 25 2009 Yan Li <yan.i.li@intel.com> 0.0~20090625
- Update to latest git tip (c26c66450a8203c6cc6a86eba977cfd2b9a1ce3a)
* Mon Jun 22 2009 Yan Li <yan.i.li@intel.com> 0.0~20090622
- Update to 3e8145ccfb9de438a45a632f8133bf0c16734d47
* Wed Jun 17 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090617
- Update to 9f9d004ba0ec163ef5c312786c40f2fb86e90704
* Fri Jun 12 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090612
- Update to git tip
